Subject: Re: [xml2rfc] [rfc-i] use of sourcecode type

From: Cullen Jennings <[email-masked]>
Date: Fri, 14 Aug 2020 15:42:07 -0600

Related to this, the RFC says "The RFC Series Editor will maintain a complete list of the preferred
   values on the RFC Editor web site
“

Does that list exist somewhere, I’m not finding it ?

> On Jul 21, 2020, at 9:10 AM, Carsten Bormann <[email-masked]> wrote:
> 
> A similar problem is giving examples that are intentionally bad in order to demonstrate a kind of error.
> 
> I typically tag them with a type that is derived from the one I would give for real code, e.g., “CDDLx” for a bad CDDL example.  I think it would be good to agree on some way to indicate this.
> 
> A related problem is that often several code blocks combine to one valid instance of CDDL, for example see Figure 1, 2, 3 in RFC 8428.  There is no way to say that Figure 1 and 2 combine into a valid instance, and so do Figure 1 and 3, but not any other combination.
> 
> And, by the way, those type tags are conventionally lower-cased, but this is not made very explicit; you have to infer that from the list in Section 2.48.4 of RFC 7991 or the RFC editor’s updated copy of that list:
> 
> https://www.rfc-editor.org/materials/sourcecode-types.txt
> 
> (Ha, this doesn’t even have “cddl” in it; I’m not sure how this is updated and whether there shouldn’t really be an IANA registry for these.)
> 
> Grüße, Carsten
> 
> 
>> On 2020-07-21, at 16:36, Paul Kyzivat <[email-masked]> wrote:
>> 
>> I have a question about specification of type in sourcecode elements:
>> 
>> In RFC4566bis there are many examples that have fragments of SDP. But they aren't compliant to SDP syntax, since it requires that many things be present - that are intentionally omitted from these examples.
>> 
>> Is it valid to tag these with type="SDP"?
>> 
>> (In sip we had a similar problem. There is a mime-type message/sip, but we sometimes also return fragments of sip in error messages. We ended up defining a separate message/sipfrag mime-type for this.)
>> 
>> 	Thanks,
>> 	Paul
>> 
>> _______________________________________________
>> xml2rfc mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/xml2rfc
> 
> _______________________________________________
> rfc-interest mailing list
> [email-masked]
> https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Cullen Jennings <[email-masked]>
Date: Fri, 14 Aug 2020 15:48:42 -0600

Never-mind - I found 

https://www.rfc-editor.org/materials/sourcecode-types.txt <https://www.rfc-editor.org/materials/sourcecode-types.txt>

Not really sure how I supposed to find that. Could we rev the RFC to have the required information?

> On Aug 14, 2020, at 3:42 PM, Cullen Jennings <[email-masked]> wrote:
> 
> 
>> On Jul 21, 2020, at 9:10 AM, Carsten Bormann <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> https://www.rfc-editor.org/materials/sourcecode-types.txt <https://www.rfc-editor.org/materials/sourcecode-types.txt>
>> 
>> [email-masked] <mailto:[email-masked]>
>> https://www.rfc-editor.org/mailman/listinfo/rfc-interest <https://www.rfc-editor.org/mailman/listinfo/rfc-interest>

---

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 17 Aug 2020 12:17:59 +0200

Hi Cullen,

> <https://www.rfc-editor.org/materials/sourcecode-types.txt>
> 

FWIW, xml2rfc's built-in information, available through '$ xml2rfc --man'
in the latest release and going forward, and online at 

   https://xml2rfc.tools.ietf.org/xml2rfc-doc.html 

points at this URL for values for the <sourcecode> "type" attribute.

	Henrik